Debian Bug report logs - #619059
Patch LWP::Protocol::https to use Debian certs

version graph

Package: libwww-perl; Maintainer for libwww-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libwww-perl is src:libwww-perl.

Reported by: Nicholas Bamber <nicholas@periapt.co.uk>

Date: Sun, 20 Mar 2011 21:27:01 UTC

Owned by: Nicholas Bamber <nicholas@periapt.co.uk>

Severity: grave

Tags: sid, wheezy

Fixed in version libwww-perl/6.01-1

Done: Nicholas Bamber <nicholas@periapt.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org:
Bug#619059; Package wnpp. (Sun, 20 Mar 2011 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-perl@lists.debian.org, wnpp@debian.org. (Sun, 20 Mar 2011 21:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libmozilla-ca-perl -- Mozilla's CA cert bundle in PEM format
Date: Sun, 20 Mar 2011 21:26:07 +0000
Package: wnpp
Owner: Nicholas Bamber <nicholas@periapt.co.uk>
Severity: wishlist
X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org

* Package name    : libmozilla-ca-perl
  Version         : 20110301
  Upstream Author : Gisle Aas <gisle@activestate.com>
* URL             : http://search.cpan.org/dist/Mozilla-CA/
* License         : MPL-1.1 or GPL-2+ or LGPL-2.1+
  Programming Lang: Perl
  Description     : Mozilla's CA cert bundle in PEM format

Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
certificates in a form that can be consumed by modules and libraries 
based on
OpenSSL.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#619059; Package wnpp. (Sun, 20 Mar 2011 21:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Maximilian Gass <mxey@cloudconnected.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Bamber <nicholas@periapt.co.uk>. (Sun, 20 Mar 2011 21:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 619059@bugs.debian.org (full text, mbox):

From: Maximilian Gass <mxey@cloudconnected.org>
To: Nicholas Bamber <nicholas@periapt.co.uk>, 619059@bugs.debian.org
Subject: Re: Bug#619059: ITP: libmozilla-ca-perl -- Mozilla's CA cert bundle in PEM format
Date: Sun, 20 Mar 2011 22:36:17 +0100
[Message part 1 (text/plain, inline)]
On Sun, Mar 20, 2011 at 09:26:07PM +0000, Nicholas Bamber wrote:
> Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
> certificates in a form that can be consumed by modules and libraries
> based on
> OpenSSL.

I don't think this should be packaged. Debian already offers a
certificate store provided by the ca-certificates package in
/etc/ssl/certs, in a form that can be consumed by modules and libraries
based on OpenSSL.

If this is required as a dependency, the depending package should be
patched (possibly to support more than a single CA) or this package
should only be a stub to the Mozilla CA in ca-certificates.

In the case of LWP::UserAgent, setting SSL_ca_file to
/etc/ssl/certs/ca-certificates.crt or SSL_ca_path to /etc/ssl/certs
should work. Then it will support all certificates the local
administrator has enabled.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#619059; Package wnpp. (Sun, 20 Mar 2011 23:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Bamber <nicholas@periapt.co.uk>. (Sun, 20 Mar 2011 23:24:02 GMT) Full text and rfc822 format available.

Message #15 received at 619059@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: debian-devel@lists.debian.org, 619059@bugs.debian.org
Subject: Re: Bug#619059: ITP: libmozilla-ca-perl -- Mozilla's CA cert bundle in PEM format
Date: Sun, 20 Mar 2011 23:20:38 +0000
[Message part 1 (text/plain, inline)]
On Sun, Mar 20, 2011 at 09:26:07PM +0000, Nicholas Bamber wrote:
> * Package name    : libmozilla-ca-perl
>   Version         : 20110301
>   Upstream Author : Gisle Aas <gisle@activestate.com>
> * URL             : http://search.cpan.org/dist/Mozilla-CA/
> * License         : MPL-1.1 or GPL-2+ or LGPL-2.1+
>   Programming Lang: Perl
>   Description     : Mozilla's CA cert bundle in PEM format
> 
> Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
> certificates in a form that can be consumed by modules and libraries
> based on
> OpenSSL.

Is this really appropriate for Debian's purposes?  I would think that
using ca-certificates is probably better since not only are the
certificates already in PEM format but the administrator can choose to
add, remove, enable, or disable certificates in one central place.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#619059; Package wnpp. (Tue, 22 Mar 2011 13:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Ragwitz <rafl@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Nicholas Bamber <nicholas@periapt.co.uk>. (Tue, 22 Mar 2011 13:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 619059@bugs.debian.org (full text, mbox):

From: Florian Ragwitz <rafl@debian.org>
To: 619059@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: Re: Bug#619059: ITP: libmozilla-ca-perl -- Mozilla's CA cert bundle in PEM format
Date: Tue, 22 Mar 2011 13:59:37 +0100
[Message part 1 (text/plain, inline)]
Nicholas Bamber <nicholas@periapt.co.uk> writes:

> Package: wnpp
> Owner: Nicholas Bamber <nicholas@periapt.co.uk>
> Severity: wishlist
> X-Debbugs-CC: debian-devel@lists.debian.org,debian-perl@lists.debian.org
>
> * Package name    : libmozilla-ca-perl
>   Version         : 20110301
>   Upstream Author : Gisle Aas <gisle@activestate.com>
> * URL             : http://search.cpan.org/dist/Mozilla-CA/
> * License         : MPL-1.1 or GPL-2+ or LGPL-2.1+
>   Programming Lang: Perl
>   Description     : Mozilla's CA cert bundle in PEM format
>
> Mozilla::CA provides a copy of Mozilla's bundle of Certificate Authority
> certificates in a form that can be consumed by modules and libraries based on
> OpenSSL.

I'm assuming your motivation for packaging this is the latest release of
libwww-perl using this module for SSL trust chain validation when using
https.

I'm writing this email in order to point out that what makes sense for
CPAN isn't necessarily the right thing to do for downstream
distributions.


LWP decided to validate SSL certificates. For that it needs a list of
trusted certificate authorities. With the way we distribute software on
CPAN right now, we don't have a way of actually asking the user about
what authorities he'd like to trust. LWP kind of took the easy route and
just went with Mozilla::CA and trusts every authority Mozilla trusts,
without giving the user much of a chance to customise things, unless
he's willing to maintain a local directory containing trusted CAs and
changing his code to use that in favour of the one provided by
Mozilla::CA.


In Debian, we already have a more convenient way to ship CA certificates
and give the local administrator the possibility to trust or not trust
the included authorities individually and to easily add new trusted
authorities not already provided by Debian. The infrastructure for that
exists in the ca-authorities package.


I'd like you to consider modifying LWP for Debian so it'll make use of
the infrastructure we already have. I haven't actually investigated how
involved the customisations for that would have to be, but I have a
strong suspicion that it's going to end up being quite minimal and
easily maintainable in the long run.

In case that turns out to be false, the upstream maintainers of the
related CPAN distributions, libwww-perl, IO-Socket-SSL, and Net-SSLeay,
are generally open to patches and I'm sure they'd also be very open to
working with downstreams such as Debian in order to make this sort of
customisation even easier, if need be.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619059; Package wnpp. (Tue, 22 Mar 2011 20:21:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 22 Mar 2011 20:21:08 GMT) Full text and rfc822 format available.

Message #25 received at 619059@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 619059@bugs.debian.org
Cc: control@bugs.debian.org
Subject: reassigning at popular request
Date: Tue, 22 Mar 2011 20:19:37 +0000
retitle 619059 Consider patch libwww-perl to use Debian certificates
reassign 619059 libwww-perl
thanks

I have been planning this since Mxey first pointed out that this is 
probably preferable. I was planning to check the code but I now realize 
I had better reassign this ticket before any more virtual trees get 
felled to make any more virtual books on the subject: ;-)




Changed Bug title to 'Consider patch libwww-perl to use Debian certificates' from 'ITP: libmozilla-ca-perl -- Mozilla's CA cert bundle in PEM format' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 22 Mar 2011 20:21:12 GMT) Full text and rfc822 format available.

Bug reassigned from package 'wnpp' to 'libwww-perl'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 22 Mar 2011 20:21:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#619059; Package libwww-perl. (Tue, 29 Mar 2011 22:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 29 Mar 2011 22:42:03 GMT) Full text and rfc822 format available.

Message #34 received at 619059@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: control@bugs.debian.org, 619059@bugs.debian.org
Subject: reassigning bugs after split
Date: Tue, 29 Mar 2011 23:33:22 +0100
reassign 324539 libhttp-daemon-perl
reassign 516667 libhttp-message-perl
reassign 563193 libhttp-cookies-perl
reassign 619059 wnpp
retitle ITP: LWP::Protocol::https
thanks

As discussed above this package will need to be patched to use Debian 
certificates rather than Mozilla::CA as described upstream.




Bug reassigned from package 'libwww-perl' to 'wnpp'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 29 Mar 2011 22:42:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619059; Package wnpp. (Tue, 29 Mar 2011 22:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 29 Mar 2011 22:51:03 GMT) Full text and rfc822 format available.

Message #41 received at 619059@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: control@bugs.debian.org, 619059@bugs.debian.org
Subject: reassigning bugs after split
Date: Tue, 29 Mar 2011 23:47:45 +0100
retitle ITP: liblwp-protocol-https-perl -- LWP::Protocol::https




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619059; Package wnpp. (Tue, 29 Mar 2011 22:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 29 Mar 2011 22:57:03 GMT) Full text and rfc822 format available.

Message #46 received at 619059@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: control@bugs.debian.org, 619059@bugs.debian.org
Subject: reassigning bugs after split
Date: Tue, 29 Mar 2011 23:54:19 +0100
retitle 619059 ITP: liblwp-protocol-https-perl -- LWP::Protocol::https




Changed Bug title to 'ITP: liblwp-protocol-https-perl -- LWP::Protocol::https' from 'Consider patch libwww-perl to use Debian certificates' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Tue, 29 Mar 2011 22:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#619059; Package wnpp. (Wed, 30 Mar 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 30 Mar 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #53 received at 619059@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 619059@bugs.debian.org, control@bugs.debian.org
Subject: back again
Date: Wed, 30 Mar 2011 19:44:37 +0100
reassign 619059 libwww-perl
retitle 619059 Patch LWP::Protocol::https to use Debian certs
thanks

It turns out this only makes sense for libwww-perl > 6 and so it cannot 
be adequately investigated until libwww-perl v6 is live.




Bug reassigned from package 'wnpp' to 'libwww-perl'. Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 30 Mar 2011 18:45:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'Patch LWP::Protocol::https to use Debian certs' from 'ITP: liblwp-protocol-https-perl -- LWP::Protocol::https' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 30 Mar 2011 18:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#619059; Package libwww-perl. (Wed, 30 Mar 2011 20:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Wed, 30 Mar 2011 20:45:06 GMT) Full text and rfc822 format available.

Message #62 received at 619059@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: control@bugs.debian.org, 619059@bugs.debian.org
Subject: severity
Date: Wed, 30 Mar 2011 21:43:58 +0100
severity 619059 grave
thanks

This bug should be reassigned to liblwp-protocol-https-perl once that is 
available. Neither package should go into test until this is resolved.




Severity set to 'grave' from 'wishlist' Request was from Nicholas Bamber <nicholas@periapt.co.uk> to control@bugs.debian.org. (Wed, 30 Mar 2011 20:45:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#619059; Package libwww-perl. (Fri, 01 Apr 2011 14:24:03 GMT) Full text and rfc822 format available.

Message #67 received at 619059@bugs.debian.org (full text, mbox):

From: pkg-perl-maintainers@lists.alioth.debian.org
To: 619059@bugs.debian.org, 619059-submitter@bugs.debian.org
Subject: Bug in libwww-perl fixed in revision 72130
Date: Fri, 01 Apr 2011 14:21:50 +0000
tag 619059 + pending
thanks

Some bugs are closed in revision 72130
by Nicholas Bamber (periapt-guest)

Commit message:

  - Other depending packages can safely continue to depend on libwww-perl,
    but in some cases may be able to tighten up their dependencies.
  - LWP::Protocol::https will be split off in the next release
    so now liblwp-protocol-https-perl is Provided.
* Patched LWP::Protocol::https to use ca-certificates rather than 
  Mozilla::CA (Closes: #619059)




Added tag(s) pending. Request was from pkg-perl-maintainers@lists.alioth.debian.org to control@bugs.debian.org. (Fri, 01 Apr 2011 14:24:04 GMT) Full text and rfc822 format available.

Message sent on to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#619059. (Fri, 01 Apr 2011 14:24:06 GMT) Full text and rfc822 format available.

Reply sent to Nicholas Bamber <nicholas@periapt.co.uk>:
You have taken responsibility. (Tue, 05 Apr 2011 18:51:12 GMT) Full text and rfc822 format available.

Notification sent to Nicholas Bamber <nicholas@periapt.co.uk>:
Bug acknowledged by developer. (Tue, 05 Apr 2011 18:51:12 GMT) Full text and rfc822 format available.

Message #77 received at 619059-close@bugs.debian.org (full text, mbox):

From: Nicholas Bamber <nicholas@periapt.co.uk>
To: 619059-close@bugs.debian.org
Subject: Bug#619059: fixed in libwww-perl 6.01-1
Date: Tue, 05 Apr 2011 18:48:16 +0000
Source: libwww-perl
Source-Version: 6.01-1

We believe that the bug you reported is fixed in the latest version of
libwww-perl, which is due to be installed in the Debian FTP archive:

libwww-perl_6.01-1.debian.tar.gz
  to main/libw/libwww-perl/libwww-perl_6.01-1.debian.tar.gz
libwww-perl_6.01-1.dsc
  to main/libw/libwww-perl/libwww-perl_6.01-1.dsc
libwww-perl_6.01-1_all.deb
  to main/libw/libwww-perl/libwww-perl_6.01-1_all.deb
libwww-perl_6.01.orig.tar.gz
  to main/libw/libwww-perl/libwww-perl_6.01.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 619059@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Nicholas Bamber <nicholas@periapt.co.uk> (supplier of updated libwww-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 02 Apr 2011 15:13:32 +0100
Source: libwww-perl
Binary: libwww-perl
Architecture: source all
Version: 6.01-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Nicholas Bamber <nicholas@periapt.co.uk>
Description: 
 libwww-perl - simple and consistent interface to the world-wide web
Closes: 614948 619059
Changes: 
 libwww-perl (6.01-1) unstable; urgency=low
 .
   * New upstream release
     - Modules not in the LWP namespace have been made into separate modules
     - In particular IPv6 issues now handled by libnet-http-perl,
       see #306914, (Closes: #614948)
     - Packages using HTTP::Daemon should declare the appropriate
       dependency on libhttp-daemon-perl | libwww-perl (<< 6).
     - Packages using HTML::Form should declare the appropriate
       dependency on libhtml-form-perl | libwww-perl (<< 6).
     - Other depending packages can safely continue to depend on libwww-perl,
       but in some cases may be able to tighten up their dependencies.
     - LWP::Protocol::https will be split off in the next release
       so now liblwp-protocol-https-perl is Provided.
   * Updated dependencies
   * New upstream release
   * Removed unnecessary versioned dependency on libio-compress-perl
   * Patched LWP::Protocol::https to use ca-certificates rather than
     Mozilla::CA (Closes: #619059)
Checksums-Sha1: 
 f08b07231b9126f47a645bec9762fa178292c642 2541 libwww-perl_6.01-1.dsc
 960e650d4da0d8685f4fb81f6790eff95e5eac25 133094 libwww-perl_6.01.orig.tar.gz
 e0f6d79a9f9c72157cf64e6a0ad881ef0ddbc807 9160 libwww-perl_6.01-1.debian.tar.gz
 318d77e35e6701e147e8a353756defe6db05377f 203480 libwww-perl_6.01-1_all.deb
Checksums-Sha256: 
 cac7030e1e1389136326a9b0db3f9b43824a2c78caaf41402e6b1e12b4cea035 2541 libwww-perl_6.01-1.dsc
 aceae1475c9a4765d9c2b7da5deed370779dbb402420253774dd06d423383159 133094 libwww-perl_6.01.orig.tar.gz
 346d38b4a4867214c39a5dbfb0b6f9fd2701826c732d820769f8e2fc79319b75 9160 libwww-perl_6.01-1.debian.tar.gz
 6132eee1f031cbb838a30e9a4f772e7220a136b87fad9b78b75785fb71c916da 203480 libwww-perl_6.01-1_all.deb
Files: 
 0efc55bdbef6addaa98053895a9ef567 2541 perl optional libwww-perl_6.01-1.dsc
 817d1c087d4c5bb76781c06d9bed9ed0 133094 perl optional libwww-perl_6.01.orig.tar.gz
 77ed28bf83bd92fcd0c8dfc617a3c7a6 9160 perl optional libwww-perl_6.01-1.debian.tar.gz
 91d6b3f9a87bd8b046380b30c109e046 203480 perl optional libwww-perl_6.01-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNm2E4AAoJELs6aAGGSaoG06EP/1H4J9qy3BWJab8stX2UxQHm
xRwO1UaHgJEuOSFXQPla5U1vpiYD3zJkJIcI9ZmfIBceYS8x5fHCP2XHatsxycpu
klU2eBtZazy4Ml0PEfnyXRitE/sZrwgSnEDKby5QVoPNLDAJKeC3pnpIcppADL+q
vMb6Uf2Yn67C5hPwH/cJXmT/dim+t28i/P2RxgpIPQuW4hoYyHQEuM1SVjloWVNY
EdU7gakiO3HZiXOFzZ6YNMH5EzW2aS7juSn8UN4J3VEc7Kk/2gWfdLZoyL4/8mJj
t5Duq1HNxdTh5EQthQ27Hju3UvsDCI+L9AFXo+BOc9W3zBtr+9B5tF4DSY7iX6t/
lZ318iSnawua7wQ3umGN7aklqRM6ABJsGJzxrj9gL0vzWR4e2/06dofMoTJN1ygz
5ggylOts2v2STyw0LfP5RSpkhsohHdCd0dN2jQMbkrOT+A/eU07UzQB5f8TgIM0I
PqxjAKvsW2GS9Xy4HckEr+tlasEvEbPZh4mcL0QFN29/zNHVKBEjN4B7kGxIpFnM
v96qnT/ucwHKpUK2NrdIBVoIEecg5LaNZBH8172je5a4BpHcF97Tb+74HA5VQzN6
R05L+EwIPwQQoo8WeZodtJj2+NmccutJEl5336SXWcJfMX/ELur6xWnBO1tG1hHn
2+hU4IYaHyOn+8whQ9Xa
=eHmH
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>:
Bug#619059; Package libwww-perl. (Sun, 08 Jul 2012 02:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>, Nicholas Bamber <nicholas@periapt.co.uk>. (Sun, 08 Jul 2012 02:54:03 GMT) Full text and rfc822 format available.

Message #82 received at 619059@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: 619059@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Marking as not affecting stable
Date: Sat, 7 Jul 2012 20:51:23 -0600
tag 619059 wheezy sid
thanks

This bug applies only to LWP 6 and higher; before then, the support
for SSL validation was far less good (see for example
http://stackoverflow.com/questions/74358/how-can-i-get-lwp-to-validate-ssl-server-certificates
)

So this bug ended up as more of a TODO-list item, and never appeared
in Debian at all. :)

Anyway, marking it as not affecting squeeze.

-- 
Tim Retout <diocles@debian.org>




Added tag(s) sid and wheezy. Request was from Tim Retout <diocles@debian.org> to control@bugs.debian.org. (Sun, 08 Jul 2012 02:54:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 Aug 2012 07:30:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:30:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.